Skip to main content
GET
/
api
/
v1
/
teams
/
{team_id}
/
hubs
/
{hub_id}
/
payment-webhooks
List webhook events for hub
curl --request GET \
  --url https://api.member.dev/api/v1/teams/{team_id}/hubs/{hub_id}/payment-webhooks \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "attributes": {
        "event_type": "<string>",
        "external_event_id": "<string>",
        "provider": "<string>",
        "received_at": "2023-11-07T05:31:56Z",
        "status": "<string>",
        "api_version": "<string>",
        "attempts": 1,
        "created_at": "2023-11-07T05:31:56Z",
        "error": "<string>",
        "external_account_id": "<string>",
        "livemode": false,
        "processed_at": "2023-11-07T05:31:56Z",
        "updated_at": "2023-11-07T05:31:56Z"
      },
      "id": "<string>",
      "type": "payment_webhook_events"
    }
  ],
  "meta": {}
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

team_id
string
required
hub_id
string
required

Query Parameters

filter[status]
string | null
page[size]
integer
default:20
Required range: 1 <= x <= 100
page[after]
string | null

Response

Successful Response

data
WebhookEventResource · object[]
required
meta
Meta · object
required